Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol
Class StreamGobbler

    java.lang.Object
      org.irisa.genouest.logol.StreamGobbler

All Implemented Interfaces:
  java.lang.Runnable

     class StreamGobbler

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`(package private) java.io.InputStream` | `is`
`private static org.apache.log4j.Logger` | `logger`
`(package private) java.lang.String` | `name`
`(package private) java.lang.Thread` | `thread`

Constructor Summary
`StreamGobbler(java.lang.String name, java.io.InputStream is)`

Method Summary
`void` | `run()`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### is

    java.io.InputStream is

### thread

    java.lang.Thread thread

### logger

    private static final org.apache.log4j.Logger logger

Constructor Detail

### StreamGobbler

    public StreamGobbler(java.lang.String name,
                         java.io.InputStream is)

Method Detail

### start

    public void start()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD